import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router, ActivatedRoute } from '@angular/router';
import { Globals } from 'src/app/core/global';

@Component({
  selector: 'snse144',
  templateUrl: './snse144.component.html',
  styleUrls: ['./snse144.component.css']
})



export class SNSE144Component implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router,
    private route: ActivatedRoute,
    private global: Globals
  ) { 

  }

  public data: any;
  public CustomerList: any = [];


  ngOnInit() {

    this.data = [{
      V_SEQ : '1',
      PART_NUMBER: '1',
      PART_NAME_EN: '1',
      PART_NAME_TH: '1',
      PART_CODE: '1',
      DESCRIPT_CODE: '1',
      PRODUCT_CODE: '1',
      SALES_CLASS: '1',
      TARIFF_CODE: '1',
      DUTY_RATE: '1',
      PARENT_PART_NUMBER: '1',
      SOURCING_CODE: '1',
      SUPPLIER_CODE: '1',
      VENDOR_TYPE: '1',
      VENDOR_CODE_PART: '1',
      VENDOR_TYPE_PART: '1',
      PRICING_CODE: '1',
      CURRENCY_CODE: '1',
      CATALOG_MODEL: '1',
      MAIN_MODEL: '1',
      CAR_PRODUCTION_LOCATION: '1',
      UNIT_PRODUCTION_LOCATION: '1',
      PROCUREMENT_HUB: '1',
      ONLINE_FLAG: '1',
      DIS_FROM_TABLE: '1',
      COMPLETE_STATUS: '1',
      UPDATE_STATUS: '1',
      CREATE_BY: '1',
      CREATE_DATE: '1',
      LAST_UPD_PGM: '1',
      LAST_UPD_BY: '1',
      LAST_UPD_DATE: '1'
      
    },
      {
        V_SEQ: '2',
        PART_NUMBER: '2',
        PART_NAME_EN: '2',
        PART_NAME_TH: '2',
        PART_CODE: '2',
        DESCRIPT_CODE: '2',
        PRODUCT_CODE: '2',
        SALES_CLASS: '2',
        TARIFF_CODE: '2',
        DUTY_RATE: '2',
        PARENT_PART_NUMBER: '2',
        SOURCING_CODE: '2',
        SUPPLIER_CODE: '2',
        VENDOR_TYPE: '2',
        VENDOR_CODE_PART: '2',
        VENDOR_TYPE_PART: '2',
        PRICING_CODE: '2',
        CURRENCY_CODE: '2',
        CATALOG_MODEL: '2',
        MAIN_MODEL: '2',
        CAR_PRODUCTION_LOCATION: '2',
        UNIT_PRODUCTION_LOCATION: '2',
        PROCUREMENT_HUB: '2',
        ONLINE_FLAG: '2',
        DIS_FROM_TABLE: '2',
        COMPLETE_STATUS: '2',
        UPDATE_STATUS: '2',
        CREATE_BY: '2',
        CREATE_DATE: '2',
        LAST_UPD_PGM: '2',
        LAST_UPD_BY: '2',
        LAST_UPD_DATE: '2'

      }
    ]

  }

}

