import { Component, OnInit } from "@angular/core";
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';

@Component({
    selector: 'snse190',
    templateUrl: './snse190.component.html',
    styleUrls: ['./snse190.component.css']
})

export class SNSE190Component implements OnInit {
    constructor(
        private http: HttpService,
        private router: Router
    ) { }

    public data: any;
    public CustomerList: any = [];

    ngOnInit() {
        this.data = [
            {
                SEQ:1,
                CREATE_DATE:'08-OCT-2019',
                INSTRUCTION_NO:'19A00001',
                PART_NO: '620225101A',
                PART_NAME: 'Part Name',
                CUSTOMER_CODE : '1JPN01',
                BRANCH_CODE :'01',
                ORDER_NO: '40JTT001',
                SEND_BY: 'S',
                CASE_NO: 'S001',
                SUB_CASE: '',
                PACKER:'VANTEC',
                PACK_QTY: 5,
                PACK_DATETIME: '07-OCT-2019 11:12:13',
                PACK_DATE: '07-OCT-2019',
                PACK_TIME: '11:12:13',
                DELETION_FLAG: '',
                STATUS_CODE: 'Y',
                REASON:'',
                FILE_NAME:'AWS001.D20191008104849',
                ITEM_NO:1,
            },
            {
                SEQ: 2,
                CREATE_DATE: '08-OCT-2019',
                INSTRUCTION_NO: '19A00002',
                PART_NO: '620225101B',
                PART_NAME: 'B-bbb part name',
                CUSTOMER_CODE: '1JPN01',
                BRANCH_CODE: '01',
                ORDER_NO: '40JTT001',
                SEND_BY: 'S',
                CASE_NO: 'S001',
                SUB_CASE: '',
                PACKER: 'VANTEC',
                PACK_QTY: 1,
                PACK_DATETIME: '07-OCT-2019 11:12:13',
                PACK_DATE: '07-OCT-2019',
                PACK_TIME: '11:12:13',
                DELETION_FLAG: '',
                STATUS_CODE: 'Y',
                REASON: '',
                FILE_NAME: 'AWS001.D20191008104849',
                ITEM_NO: 1,
            },
        ]
    }
}
