import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router, ActivatedRoute } from '@angular/router';
import { Globals } from 'src/app/core/global';

@Component({
  selector: 'snse149',
  templateUrl: './snse149.component.html',
  styleUrls: ['./snse149.component.css']
})



export class SNSE149Component implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router,
    private route: ActivatedRoute,
    private global: Globals
  ) { 

  }

  public data: any;


  ngOnInit() {

    this.data = [{
      ROW_SEQ: '1',
      PART_NUMBER: '1',
      PART_NAME: '1',
      GLP: '1',
      PRICE_APP: '1',
      DESCRIPTION_CODE: '1',
      SALES_CLASSIFICATION_CODE: '1',
      GLP_ESTABLISHMENT_CATEGORY: '1',
      RECEIVED_STATUS: '1',
      CREATE_BY: '1',
      CREATE_DATE: '1',
      LAST_UPD_PGM: '1',
    }
    ]

  }

}
