import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { FormGroup, FormControl, FormBuilder } from '@angular/forms'
import { Router } from '@angular/router';
import { Observable, config } from 'rxjs';

@Component({
  selector: 'snsq022_001',
  templateUrl: './SNSQ022_001.component.html',
  styleUrls: ['./SNSQ022_001.component.css'],
  encapsulation: ViewEncapsulation.None
})



export class SNSQ022_001Component implements OnInit {

  constructor(
    private http: HttpService,
    private router: Router
  ) { }

  public CustomerList: any;
  private loaded: boolean = false;


  public tableData: any;
  public tableData2: any;
  public tableData3: any;


  public tableName: string;
  public show: boolean = true;

  ngOnInit() {

    this.CustomerList = [{ ID: 1, CUSTOMER_CODE: "AAA" }, { ID: 2, CUSTOMER_CODE: "BBB" }, { ID: 3, CUSTOMER_CODE: "CCC" }]


    this.tableData = [
      {
        SEQ:'A',
        CUSTOMER_CODE: 'A',
        CUSTOMER_NAME: 'A',
        SUM_ORDER_NO: 'A',
        SUM_ORDER_QTY: 'A',
        SUM_ACCEPT_QTY: 'A',
        SUM_NET_WEIGHT: 'A',
        SUM_NET_VOLUME: 'A',
        SUM_AMOUNT: 'A',
        STATUS: 'A',
        UNIT_PRICE: 'A',
      },
      {
        SEQ: 'B',
        CUSTOMER_CODE: 'B',
        CUSTOMER_NAME: 'B',
        SUM_ORDER_NO: 'B',
        SUM_ORDER_QTY: 'B',
        SUM_ACCEPT_QTY: 'B',
        SUM_NET_WEIGHT: 'B',
        SUM_NET_VOLUME: 'B',
        SUM_AMOUNT: 'B',
        STATUS: 'B',
        UNIT_PRICE: 'B',
      },
      {
        SEQ: 'C',
        CUSTOMER_CODE: 'C',
        CUSTOMER_NAME: 'C',
        SUM_ORDER_NO: 'C',
        SUM_ORDER_QTY: 'C',
        SUM_ACCEPT_QTY: 'C',
        SUM_NET_WEIGHT: 'C',
        SUM_NET_VOLUME: 'C',
        SUM_AMOUNT: 'C',
        STATUS: 'C',
        UNIT_PRICE: 'C',
      },
    ]


    this.tableData2 = [
      {
        SEQ:'A',
        CUSTOMER_CODE: 'A',
        ORDER_NO: 'A',
        SERIAL_NO: 'A',
        ITEM_NO: 'A',
        ACCEPT_PART_NO: 'A',
      },
      {
        SEQ: 'B',
        CUSTOMER_CODE: 'B',
        ORDER_NO: 'B',
        SERIAL_NO: 'B',
        ITEM_NO: 'B',
        ACCEPT_PART_NO: 'B',
      },
      {
        SEQ: 'X',
        CUSTOMER_CODE: 'X',
        ORDER_NO: 'X',
        SERIAL_NO: 'X',
        ITEM_NO: 'X',
        ACCEPT_PART_NO: 'X',
      },
      {
        SEQ: 'D',
        CUSTOMER_CODE: 'D',
        ORDER_NO: 'D',
        SERIAL_NO: 'D',
        ITEM_NO: 'D',
        ACCEPT_PART_NO: 'D',
      },
    ]


    this.tableData3 = [
      {
        SEQ:'A',
        CUSTOMER_CODE: 'A',
        ORDER_NO: 'A',
        ORDER_CLASS: 'A',
        SERIAL_NO: 'A',
        ITEM_NO: 'A',
        ACCEPT_PART_NO: 'A',
        ORDER_QTY: 'A',
        ACCEPT_QTY: 'A',
        UNIT_PRICE_MASTER: 'A',
        UNIT_PRICE: 'A',
        AMOUNT_PRICE: 'A',
      },
      {
        SEQ: 'B',
        CUSTOMER_CODE: 'B',
        ORDER_NO: 'B',
        ORDER_CLASS: 'B',
        SERIAL_NO: 'B',
        ITEM_NO: 'B',
        ACCEPT_PART_NO: 'B',
        ORDER_QTY: 'B',
        ACCEPT_QTY: 'B',
        UNIT_PRICE_MASTER: 'B',
        UNIT_PRICE: 'B',
        AMOUNT_PRICE: 'B',
      },
      {
        SEQ: 'C',
        CUSTOMER_CODE: 'C',
        ORDER_NO: 'C',
        ORDER_CLASS: 'C',
        SERIAL_NO: 'C',
        ITEM_NO: 'C',
        ACCEPT_PART_NO: 'C',
        ORDER_QTY: 'C',
        ACCEPT_QTY: 'C',
        UNIT_PRICE_MASTER: 'C',
        UNIT_PRICE: 'C',
        AMOUNT_PRICE: 'C',
      },
      {
        SEQ: 'D',
        CUSTOMER_CODE: 'D',
        ORDER_NO: 'D',
        ORDER_CLASS: 'D',
        SERIAL_NO: 'D',
        ITEM_NO: 'D',
        ACCEPT_PART_NO: 'D',
        ORDER_QTY: 'D',
        ACCEPT_QTY: 'D',
        UNIT_PRICE_MASTER: 'D',
        UNIT_PRICE: 'D',
        AMOUNT_PRICE: 'D',
      },
    ]

    this.loaded = true;
  }

}
