import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { FormGroup, FormControl, FormBuilder } from '@angular/forms'
import { Router } from '@angular/router';
import { Observable, config } from 'rxjs';

@Component({
  selector: 'snsq028_001',
  templateUrl: './SNSQ028_001.component.html',
  styleUrls: ['./SNSQ028_001.component.css'],
  encapsulation: ViewEncapsulation.None
})



export class SNSQ028_001Component implements OnInit {

  constructor(
    private http: HttpService,
    private router: Router
  ) { }

  public CustomerList: any;
  private loaded: boolean = false;


  public tableData: any;
  public tableData2: any;
  public tableData3: any;


  public tableName: string;
  public show: boolean = true;

  ngOnInit() {

    this.CustomerList = [{ ID: 1, CUSTOMER_CODE: "AAA" }, { ID: 2, CUSTOMER_CODE: "BBB" }, { ID: 3, CUSTOMER_CODE: "CCC" }]


    this.tableData = [
      {
        SEQ: "A",
        PART_NO: "A",
      },
      {
        SEQ: "B",
        PART_NO: "B",
      },
      {
        SEQ: "A",
        PART_NO: "A",
      },
      {
        SEQ: "C",
        PART_NO: "C",
      },
    ]


    this.tableData2 = [
      {
        SEQ: "A",
        PO_DATE: "A",
        PO_NO: "A",
        ITEM_NO: "A",
        QTY: "A",
        SUM_QTY: "A",
        ETD_DATE: "A",
        ETP_DATE: "A",
      },
      {
        SEQ: "B",
        PO_DATE: "B",
        PO_NO: "B",
        ITEM_NO: "B",
        QTY: "B",
        SUM_QTY: "B",
        ETD_DATE: "B",
        ETP_DATE: "B",
      },
      {
        SEQ: "A",
        PO_DATE: "A",
        PO_NO: "B",
        ITEM_NO: "B",
        QTY: "B",
        SUM_QTY: "B",
        ETD_DATE: "B",
        ETP_DATE: "B",
      },
      {
        SEQ: "C",
        PO_DATE: "C",
        PO_NO: "B",
        ITEM_NO: "B",
        QTY: "B",
        SUM_QTY: "B",
        ETD_DATE: "B",
        ETP_DATE: "B",
      },
    ]


    this.tableData3 = [
      {
        SEQ : "A",
        CUSTOMER_CODE: "A",
        ORDER_NO: "A",
        ORDER_DATE: "A",
        ITEM_NO: "A",
        ORDER_PART_NO: "A",
        ORDER_QTY: "A",
        BO_QTY: "A",
        UNIT_PRICE_MASTER: "A",
        UNIT_PRICE: "A",
        NET_AMOUNT: "A",
      },
      {
        SEQ: "B",
        CUSTOMER_CODE: "B",
        ORDER_NO: "B",
        ORDER_DATE: "B",
        ITEM_NO: "B",
        ORDER_PART_NO: "B",
        ORDER_QTY: "B",
        BO_QTY: "B",
        UNIT_PRICE_MASTER: "B",
        UNIT_PRICE: "B",
        NET_AMOUNT: "B",
      },
      {
        SEQ: "C",
        CUSTOMER_CODE: "C",
        ORDER_NO: "C",
        ORDER_DATE: "C",
        ITEM_NO: "C",
        ORDER_PART_NO: "C",
        ORDER_QTY: "C",
        BO_QTY: "C",
        UNIT_PRICE_MASTER: "C",
        UNIT_PRICE: "C",
        NET_AMOUNT: "C",
      },
      {
        SEQ: "D",
        CUSTOMER_CODE: "D",
        ORDER_NO: "D",
        ORDER_DATE: "D",
        ITEM_NO: "D",
        ORDER_PART_NO: "D",
        ORDER_QTY: "D",
        BO_QTY: "D",
        UNIT_PRICE_MASTER: "D",
        UNIT_PRICE: "D",
        NET_AMOUNT: "D",
      },
    ]

    this.loaded = true;
  }

}
