import { Component, OnInit } from "@angular/core";
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';
import { MatTableDataSource } from '@angular/material/table';

@Component({
    selector: 'snse183',
    templateUrl: './snse183.component.html',
    styleUrls: ['./snse183.component.css']
})

export class SNSE183Component implements OnInit {
    constructor(
        private http: HttpService,
        private router: Router
    ) { }

    public data: any;
    public LocationList: any = [];
    public CustomerList: any = [];

    ngOnInit() {

        this.data = [{
            SEQ: 1,
            LOCATION_NO: 'A1000001',
            PART_NO: '62022AAAA1',
            PART_NAME_TH: 'อะไหล่ 1',
            PART_NAME_EN: 'Part 1',
            PRINT_DATE: '01-10-2019',
            FLAG_SELECT: '',
        },
        {
            SEQ: 2,
            LOCATION_NO: 'A1000002',
            PART_NO: '62022AAAA2',
            PART_NAME_TH: 'อะไหล่ 2',
            PART_NAME_EN: 'Part 2',
            PRINT_DATE: '02-11-2019',
            FLAG_SELECT: '',
        },
            {
                SEQ: 3,
                LOCATION_NO: 'A1000003',
                PART_NO: '62022AAAA3',
                PART_NAME_TH: 'อะไหล่ 3',
                PART_NAME_EN: 'Part 3',
                PRINT_DATE: '02-11-2019',
                FLAG_SELECT: '',
            },
            {
                SEQ: 4,
                LOCATION_NO: 'A1000004',
                PART_NO: '62022AAAA4',
                PART_NAME_TH: 'อะไหล่ 4',
                PART_NAME_EN: 'Part 4',
                PRINT_DATE: '02-11-2019',
                FLAG_SELECT: '',
            },
            {
                SEQ: 5,
                LOCATION_NO: 'A1000005',
                PART_NO: '62022AAAA5',
                PART_NAME_TH: 'อะไหล่ 5',
                PART_NAME_EN: 'Part 5',
                PRINT_DATE: '02-11-2019',
                FLAG_SELECT: '',
            },
            {
                SEQ: 6,
                LOCATION_NO: 'A1000006',
                PART_NO: '62022AAAA6',
                PART_NAME_TH: 'อะไหล่ 6',
                PART_NAME_EN: 'Part 6',
                PRINT_DATE: '02-11-2019',
                FLAG_SELECT: '',
            },
            {
                SEQ: 7,
                LOCATION_NO: 'A1000007',
                PART_NO: '62022AAAA7',
                PART_NAME_TH: 'อะไหล่ 7',
                PART_NAME_EN: 'Part 7',
                PRINT_DATE: '02-11-2019',
                FLAG_SELECT: '',
            },
            {
                SEQ: 8,
                LOCATION_NO: 'A1000008',
                PART_NO: '62022AAAA8',
                PART_NAME_TH: 'อะไหล่ 8',
                PART_NAME_EN: 'Part 8',
                PRINT_DATE: '02-11-2019',
                FLAG_SELECT: '',
            },
            {
                SEQ: 9,
                LOCATION_NO: 'A1000009',
                PART_NO: '62022AAAA9',
                PART_NAME_TH: 'อะไหล่ 9',
                PART_NAME_EN: 'Part 9',
                PRINT_DATE: '02-11-2019',
                FLAG_SELECT: '',
            },
            {
                SEQ: 10,
                LOCATION_NO: 'A1000010',
                PART_NO: '62022AAA10',
                PART_NAME_TH: 'อะไหล่ 10',
                PART_NAME_EN: 'Part 10',
                PRINT_DATE: '02-11-2019',
                FLAG_SELECT: '',
            },
        ]

    }


}
